javax.batch.operations

## Class JobExecutionIsRunningException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.batch.operations.BatchRuntimeException
        - - javax.batch.operations.JobExecutionIsRunningException

All Implemented Interfaces:
  Serializable

    public class JobExecutionIsRunningException
    extends BatchRuntimeException

JobExecutionIsRunningException is thrown when `JobOperator.abandon(long)` is called on a job execution which is currently running (i.e. has a `BatchStatus` of STARTING or STARTED).

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JobExecutionIsRunningException()`
`JobExecutionIsRunningException(String message)`
`JobExecutionIsRunningException(String message, Throwable cause)`
`JobExecutionIsRunningException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JobExecutionIsRunningException

    public JobExecutionIsRunningException()

#### JobExecutionIsRunningException

    public JobExecutionIsRunningException(String message)

#### JobExecutionIsRunningException

    public JobExecutionIsRunningException(Throwable cause)

#### JobExecutionIsRunningException

    public JobExecutionIsRunningException(String message,
                                  Throwable cause)

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0